#include<bits/stdc++.h>

using namespace std;

long long y=1;
long long yy = 1;

void porveri(vector<long long> pom, long long k) {
    bool t = true;
   if(k>1) {
    for(int i=0; i<k-1; i++) {
        if(pom[i]!=pom[i+1]) {
            t = false;
            break;
        }
    }
    if(t) {
        y++;
    }
    cout << y << " ";
   }
   else {
    yy++;
    cout << yy << " ";
   }

}

int main() {
    ios::sync_with_stdio(false);
    cin.tie(0);
    long long n, k;
    cin >> n >> k;
    vector<char> a(n);
    for(int i=0;i<n;i++) {
        cin >> a[i];
    }

    vector<long long> pom(k+1);
    for(int i=0; i<n; i++) {
        pom[(int)a[i] - 97] ++;
        porveri(pom, k);
    }
    return 0;
}